FROM python

RUN mkdir /service

COPY protobufs/ /service/protobufs/
COPY services/lemmatizer/ /service/lemmatizer/

WORKDIR /service/lemmatizer

RUN python -m pip install --upgrade pip
RUN python -m pip install -r requirements.txt
RUN python -m grpc_tools.protoc -I ../protobufs --python_out=. --grpc_python_out=. ../protobufs/lemmatizer.proto

EXPOSE 50052
ENTRYPOINT [ "python", "lemmatizer.py" ]